> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apipublicai customermerge customersby ai contact



## OpenAPI

````yaml /openapi.json post /api/public/ai-customer/merge-customers/by-ai-contact
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/ai-customer/merge-customers/by-ai-contact:
    post:
      operationId: PublicAiCustomerMergeController_mergeCustomers
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicMergeCustomersRequestDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    PublicMergeCustomersRequestDto:
      type: object
      properties:
        mainAiContactId:
          type: string
        aiContactIdsToMerge:
          minItems: 1
          type: array
          items:
            type: string
      required:
        - mainAiContactId
        - aiContactIdsToMerge

````